# Copyright (c) 2022, XhiveFramework Technologies and contributors
# For license information, please see license.txt


from xhiveframework.core.report.database_storage_usage_by_tables.database_storage_usage_by_tables import (
	execute,
)
from xhiveframework.tests.utils import XhiveFrameworkTestCase


class TestDBUsageReport(XhiveFrameworkTestCase):
	def test_basic_query(self):
		_, data = execute()
		tables = [d.table for d in data]
		self.assertFalse({"tabUser", "tabDocField"}.difference(tables))
