import "./xhiveframework/provide.js";
import "./xhiveframework/translate.js";
import "./xhiveframework/class.js";
import "./xhiveframework/polyfill.js";
import "./xhiveframework/assets.js";
import "./xhiveframework/format.js";
import "./xhiveframework/form/formatters.js";
import "./xhiveframework/dom.js";
import "./xhiveframework/ui/messages.js";
import "./xhiveframework/ui/keyboard.js";
import "./xhiveframework/ui/colors.js";
import "./xhiveframework/ui/sidebar.js";
import "./xhiveframework/ui/link_preview.js";

import "./xhiveframework/request.js";
import "./xhiveframework/socketio_client.js";
import "./xhiveframework/utils/utils.js";
import "./xhiveframework/event_emitter.js";
import "./xhiveframework/router.js";
import "./xhiveframework/router_history.js";
import "./xhiveframework/defaults.js";
import "./xhiveframework/roles_editor.js";
import "./xhiveframework/module_editor.js";
import "./xhiveframework/microtemplate.js";

import "./xhiveframework/ui/page.html";
import "./xhiveframework/ui/page.js";
import "./xhiveframework/ui/slides.js";
// import "./xhiveframework/ui/onboarding_dialog.js";
import "./xhiveframework/ui/find.js";
import "./xhiveframework/ui/iconbar.js";
import "./xhiveframework/form/layout.js";
import "./xhiveframework/form/section.js";
import "./xhiveframework/form/tab.js";
import "./xhiveframework/form/column.js";
import "./xhiveframework/ui/field_group.js";
import "./xhiveframework/form/link_selector.js";
import "./xhiveframework/form/multi_select_dialog.js";
import "./xhiveframework/ui/dialog.js";
import "./xhiveframework/ui/capture.js";
import "./xhiveframework/ui/app_icon.js";
import "./xhiveframework/ui/theme_switcher.js";

import "./xhiveframework/model/model.js";
import "./xhiveframework/db.js";
import "./xhiveframework/model/meta.js";
import "./xhiveframework/model/sync.js";
import "./xhiveframework/model/create_new.js";
import "./xhiveframework/model/perm.js";
import "./xhiveframework/model/workflow.js";
import "./xhiveframework/model/user_settings.js";

import "./xhiveframework/utils/user.js";
import "./xhiveframework/utils/common.js";
import "./xhiveframework/utils/urllib.js";
import "./xhiveframework/utils/pretty_date.js";
import "./xhiveframework/utils/tools.js";
import "./xhiveframework/utils/datetime.js";
import "./xhiveframework/utils/number_format.js";
import "./xhiveframework/utils/help.js";
import "./xhiveframework/utils/help_links.js";
import "./xhiveframework/utils/address_and_contact.js";
import "./xhiveframework/utils/preview_email.js";
import "./xhiveframework/utils/file_manager.js";
import "./xhiveframework/utils/diffview";
import "./xhiveframework/utils/datatable.js";

import "./xhiveframework/upload.js";
import "./xhiveframework/ui/tree.js";

import "./xhiveframework/views/container.js";
import "./xhiveframework/views/breadcrumbs.js";
import "./xhiveframework/views/factory.js";
import "./xhiveframework/views/pageview.js";

import "./xhiveframework/ui/toolbar/awesome_bar.js";
// import "./xhiveframework/ui/toolbar/energy_points_notifications.js";
import "./xhiveframework/ui/notifications/notifications.js";
import "./xhiveframework/ui/toolbar/search.js";
import "./xhiveframework/ui/toolbar/tag_utils.js";
import "./xhiveframework/ui/toolbar/search.html";
import "./xhiveframework/ui/toolbar/search_utils.js";
import "./xhiveframework/ui/toolbar/about.js";
import "./xhiveframework/ui/toolbar/navbar.html";
import "./xhiveframework/ui/toolbar/toolbar.js";
// import "./xhiveframework/ui/toolbar/notifications.js";
import "./xhiveframework/views/communication.js";
import "./xhiveframework/views/translation_manager.js";
import "./xhiveframework/views/workspace/workspace.js";
import "./xhiveframework/views/workspace/blocks/index.js";

import "./xhiveframework/widgets/widget_group.js";

import "./xhiveframework/ui/sort_selector.html";
import "./xhiveframework/ui/sort_selector.js";

import "./xhiveframework/change_log.html";
import "./xhiveframework/ui/workspace_loading_skeleton.html";
import "./xhiveframework/ui/workspace_sidebar_loading_skeleton.html";
import "./xhiveframework/desk.js";
import "./xhiveframework/query_string.js";

// import "./xhiveframework/ui/comment.js";

import "./xhiveframework/utils/energy_point_utils.js";
import "./xhiveframework/utils/dashboard_utils.js";
import "./xhiveframework/ui/chart.js";
import "./xhiveframework/ui/datatable.js";
import "./xhiveframework/ui/driver.js";
import "./xhiveframework/scanner";
