<div align="center">
	<h1>
		<br>
		<a href="https://xhiveframework.co">
			<img src=".github/xhive-framework-logo.svg" height="50">
		</a>
	</h1>
	<h3>
		a web framework with <a href="https://www.youtube.com/watch?v=LOjk3m0wTwg">"batteries included"</a>
	</h3>
	<h5>
		it's pronounced - <em>fra-pay</em>
	</h5>
</div>

<div align="center">
	<a href="https://github.com/xhiveframework/xhiveframework/actions/workflows/server-mariadb-tests.yml">
		<img src="https://github.com/xhiveframework/xhiveframework/actions/workflows/server-mariadb-tests.yml/badge.svg">
	</a>
	<a href="https://github.com/xhiveframework/xhiveframework/actions/workflows/ui-tests.yml">
		<img src="https://github.com/xhiveframework/xhiveframework/actions/workflows/ui-tests.yml/badge.svg?branch=develop">
	</a>
	<a href='https://xhiveframework.co/docs'>
		<img src='https://img.shields.io/badge/docs-📖-7575FF.svg?style=flat-square'/>
	</a>
	<a href='https://www.codetriage.com/xhiveframework/xhiveframework'>
		<img src='https://www.codetriage.com/xhiveframework/xhiveframework/badges/users.svg'>
	</a>
	<a href="https://codecov.io/gh/xhiveframework/xhiveframework">
		<img src="https://codecov.io/gh/xhiveframework/xhiveframework/branch/develop/graph/badge.svg?token=XoTa679hIj"/>
	</a>
</div>


Full-stack web application framework that uses Python and MariaDB on the server side and a tightly integrated client side library. Built for [XhiveERP](https://xhiveerp.co)

<div align="center" style="max-height: 40px;">
	<a href="https://xhiveframeworkcloud.com/xhiveframework/signup">
		<img src=".github/try-on-f-cloud-button.svg" height="40">
	</a>
	<a href="https://labs.play-with-docker.com/?stack=https://raw.githubusercontent.com/gavindsouza/install-scripts/main/xhiveframework/pwd.yml">
		<img src="https://raw.githubusercontent.com/play-with-docker/stacks/master/assets/images/button.png" alt="Try in PWD" height="37"/>
	</a>
</div>

> Login for the PWD site: (username: Administrator, password: admin)

## Table of Contents
* [Installation](#installation)
* [Contributing](#contributing)
* [Resources](#resources)
* [License](#license)

## Installation

* [Install via Docker](https://github.com/xhiveframework/xhiveframework_docker)
* [Install via XhiveFramework Bench](https://github.com/xhiveframework/bench)
* [Offical Documentation](https://xhiveframework.co/docs/user/en/installation)
* [Managed Hosting on XhiveFramework Cloud](https://xhiveframeworkcloud.com/xhiveframework/signup)

## Contributing

1. [Code of Conduct](CODE_OF_CONDUCT.md)
1. [Contribution Guidelines](https://github.com/xhiveframework/xhiveerp/wiki/Contribution-Guidelines)
1. [Security Policy](SECURITY.md)
1. [Translations](https://translate.xhiveerp.co)

## Resources

1. [xhiveframework.co](https://xhiveframework.co) - Official documentation of the XhiveFramework Framework.
1. [xhiveframework.school](https://xhiveframework.school) - Pick from the various courses by the maintainers or from the community.

## License
This repository has been released under the [MIT License](LICENSE).
